## grails.spring
Class WebBeanBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          grails.spring.BeanBuilder
              grails.spring.WebBeanBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class WebBeanBuilder

extends BeanBuilder

Extended version of the BeanBuilder class that provides support for constructing WebApplicationContext instances

Since:
  1.0

  Created: Nov 23, 2007
Author:
  Graeme Rocher

Constructor Summary
`WebBeanBuilder()`
`WebBeanBuilder(ApplicationContext parent)`
`WebBeanBuilder(ApplicationContext parent, ClassLoader classLoader)`
`WebBeanBuilder(ClassLoader classLoader)`

Method Summary
`protected RuntimeSpringConfiguration` `createRuntimeSpringConfiguration(ApplicationContext parent, ClassLoader classLoader)`

Methods inherited from class grails.spring.BeanBuilder
`beans, createApplicationContext, createDynamicElementReader, getBeanDefinition, getBeanDefinitions, getLog, getParentCtx, getProperty, getSpringConfig, invokeMethod, loadBeans, loadBeans, loadBeans, registerBeans, registerBeans, setBinding, setClassLoader, setNamespaceHandlerResolver, setProperty, setSpringConfig, xmlns`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebBeanBuilder

    public WebBeanBuilder()

### WebBeanBuilder

    public WebBeanBuilder(ClassLoader classLoader)

### WebBeanBuilder

    public WebBeanBuilder(ApplicationContext parent)

### WebBeanBuilder

    public WebBeanBuilder(ApplicationContext parent,
                          ClassLoader classLoader)

Method Detail

### createRuntimeSpringConfiguration

    protected RuntimeSpringConfiguration createRuntimeSpringConfiguration(ApplicationContext parent,
                                                                          ClassLoader classLoader)

  Overrides:
    `createRuntimeSpringConfiguration` in class `BeanBuilder`

Copyright (c) 2005-2009 The Grails project